[android-components](../../../../index.md) / [mozilla.components.browser.session.manifest](../../../index.md) / [WebAppManifestParser](../../index.md) / [Result](../index.md) / [Failure](index.md) / [exception](./exception.md)

# exception

`val exception: `[`JSONException`](https://developer.android.com/reference/org/json/JSONException.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/session/src/main/java/mozilla/components/browser/session/manifest/WebAppManifestParser.kt#L30)

The exception that was thrown while parsing the manifest.

### Property

`exception` - The exception that was thrown while parsing the manifest.